# ToggleActionV1
`toloka.client.project.template_builder.actions.ToggleActionV1` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/project/template_builder/actions.py#L158)

```python
ToggleActionV1(
    self,
    data: Optional[BaseComponent] = None,
    *,
    version: Optional[str] = '1.0.0'
)
```

The component changes the value in the data from true to false and vice versa.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`data`|**Optional\[[BaseComponent](toloka.client.project.template_builder.base.BaseComponent.md)\]**|<p>Data in which the value will be changed. The data type must be boolean.</p>
